Add script to run Cypress tests interactively

This patch adds a script that lets folks debug their tests more
easily. When run, Chrome will open up on the user's screen, letting
them see live what the test is doing. Additionally, users can inject
`cy.pause()` commands to pause test execution.

Unfortunately, I couldn't get the `debugger` statement to work.
Cypress seems to ignore it completely. Same with the `.debug()`
command.

Since the script passes `--headed` to Cypress, I had to remove the
explicit `headless: true` in the config. Those two options conflict,
but "headless" is the default. So there's no need to set it
explicitly.

Signed-off-by: Philipp Schrader <philipp.schrader@gmail.com>
Change-Id: I9cd7d521c4636a17a75f352960a810242bdeaebf
diff --git a/tools/js/run_cypress_test_interactively.sh b/tools/js/run_cypress_test_interactively.sh
new file mode 100755
index 0000000..8869cc0
--- /dev/null
+++ b/tools/js/run_cypress_test_interactively.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+bazel test \
+  --test_env=DISPLAY="${DISPLAY}" \
+  --strategy=TestRunner=processwrapper-sandbox \
+  --test_output=streamed \
+  --test_arg=--headed \
+  --test_timeout=9999 \
+  "$@"